HPFLIP(8)

NAME
hpflip - flip device type of HP optical disk drives

SYNOPSIS
hpflip [ -a b.t.l ] [ -r ]

DESCRIPTION

The hpflip program reads a Vendor Unique mode page from an HP Optical disk drive, and toggles the device type setting to the appropriate device type. The device type can either be OPTICAL or DIRECT ACCESS. Typically, most systems have drivers that can handle removable DIRECT ACCESS device types (often limited to 512 byte/sector formatted disks). Systems with these device types do not often have device drivers for additional OPTICAL device types. The hpflip program enables you to control how an HP Optical Disk Drive reports itself, and therefore makes the OPTICAL device available where it otherwise would have required an additional device driver.

OPTIONS

-a  Selects a specific ordinal address (see libscsi(8)). This is a required option.

-r  Resets the specified device to Optical, regardless of its current state. Without this argument, the device setting is toggled between OPTICAL and DIRECT ACCESS types.

SEE ALSO
libscsi(8)